## r-cran-tm 0.7

=== DESCRIPTION ===
Package: tm
Title: Text Mining Package
Version: 0.7-17
Date: 2025-12-10
Authors@R: c(person("Ingo", "Feinerer", role = "aut",
                    email = "feinerer@logic.at",
                    comment = c(ORCID = "0000-0001-7656-8338")),
             person("Kurt", "Hornik", role = c("aut", "cre"),
     		    email = "Kurt.Hornik@R-project.org",
                    comment = c(ORCID = "0000-0003-4198-9911")),
             person("Artifex Software, Inc.", role = c("ctb", "cph"),
                    comment = "pdf_info.ps taken from GPL Ghostscript"))
Depends: R (>= 3.4.0), NLP (>= 0.2-0)
Imports: Rcpp, parallel, slam (>= 0.1-37), stats, tools, utils,
        graphics, xml2
LinkingTo: BH, Rcpp
Suggests: antiword, filehash, methods, pdftools, Rcampdf, Rgraphviz,
        Rpoppler, SnowballC, testthat, tm.lexicon.GeneralInquirer
Description: A framework for text mining applications within R.
License: GPL-3
URL: https://tm.r-forge.r-project.org/
Additional_repositories: https://datacube.wu.ac.at
NeedsCompilation: yes
Packaged: 2025-12-10 12:27:27 UTC; hornik
Author: Ingo Feinerer [aut] (ORCID: <https://orcid.org/0000-0001-7656-8338>),
  Kurt Hornik [aut, cre] (ORCID: <https://orcid.org/0000-0003-4198-9911>),
  Artifex Software, Inc. [ctb, cph] (pdf_info.ps taken from GPL
    Ghostscript)
Maintainer: Kurt Hornik <Kurt.Hornik@R-project.org>
Repository: CRAN
Date/Publication: 2025-12-10 13:41:05 UTC

## r-cran-tm 0.6-2

=== debian/changelog ===
r-cran-tm (0.6-2-2~bpo8+1) jessie-backports; urgency=medium

  * Build for jessie-backports.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 02 Mar 2016 07:42:38 +0100

r-cran-tm (0.6-2-2) unstable; urgency=medium

  * Add more build dependencies. (Closes: #815373)

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 25 Feb 2016 10:24:39 +0100

r-cran-tm (0.6-2-1) unstable; urgency=medium

  * Initial packaging (Closes: #660304)

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 18 Feb 2016 21:43:55 +0100

=== debian/control ===
Source: r-cran-tm
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               r-base-dev (>= 3.0.0),
               cdbs,
               r-cran-nlp,
               r-cran-slam
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/r-cran-tm.git
Vcs-Git: git://anonscm.debian.org/debian-science/r-cran-tm.git
Homepage: https://cran.r-project.org/web/packages/tm/index.html

Package: r-cran-tm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Description: Text Mining functionality for R
 A framework for text mining applications within R.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/tm_([-0-9\.]*)\.tar\.gz

## r-cran-tm 0.7-2

=== debian/changelog ===
r-cran-tm (0.7-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7-2.
  * Add new r-cran-xml2 build-dependency.
  * Add missing r-cran-snowballc dependency for "vignette" test.
  * Add new "run-unit-test" test.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 Nov 2017 11:48:00 +0100

r-cran-tm (0.7-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.1
  * Convert packaging from cdbs to dh-r
  * debhelper 10
  * Add autopkgtest based on vignette
  * Canonical homepage for CRAN packages
  * New Build-Depends: r-cran-rcpp, libboost-dev
  * DEP5
  * Add debian/README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Wed, 25 Oct 2017 09:39:58 +0200

r-cran-tm (0.6-2-3) unstable; urgency=medium

  * Team upload
  * Fix Vcs fields
  * cme fix dpkg-control
  * Add missing dependencies
    Closes: #824082

 -- Andreas Tille <tille@debian.org>  Fri, 20 May 2016 12:59:09 +0200

=== debian/control ===
Source: r-cran-tm
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-cran-nlp,
               r-cran-slam,
               r-cran-rcpp,
               r-cran-xml2,
               libboost-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-tm.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-tm.git
Homepage: https://cran.r-project.org/package=tm

Package: r-cran-tm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends},
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Text Mining functionality for R
 A framework for text mining applications within R.

## r-cran-tm 0.7-3

=== debian/changelog ===
r-cran-tm (0.7-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Wed, 21 Mar 2018 15:46:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Daniel Pocock <daniel@pocock.pro>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-cran-nlp,
                r-cran-slam,
                r-cran-rcpp,
                r-cran-xml2,
                libboost-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-tm.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-tm.git
 Homepage: https://cran.r-project.org/package=tm
@@ -19,7 +19,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${R:Depends},
+         ${R:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: Text Mining functionality for R

## r-cran-tm 0.7-5

=== debian/changelog ===
r-cran-tm (0.7-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Thu, 02 Aug 2018 03:35:36 +0200

r-cran-tm (0.7-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Drop libboost-dev Build-Depends since there is r-cran-bh now

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 12:03:14 +0200

=== debian/control ===
Source: r-cran-tm
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-nlp,
               r-cran-rcpp,
               r-cran-slam,
               r-cran-xml2,
               r-cran-bh
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tm
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tm.git
Homepage: https://cran.r-project.org/package=tm

Package: r-cran-tm
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Text Mining functionality for R
 A framework for text mining applications within R.

## r-cran-tm 0.7-6

=== debian/changelog ===
r-cran-tm (0.7-6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.3.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 04 Jan 2019 18:59:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
-               r-cran-nlp,
+               r-cran-nlp (>= 0.2-0),
                r-cran-rcpp,
                r-cran-slam,
                r-cran-xml2,
                r-cran-bh
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tm.git
 Homepage: https://cran.r-project.org/package=tm

## r-cran-tm 0.7-7

=== debian/changelog ===
r-cran-tm (0.7-7-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:35 +0100

r-cran-tm (0.7-7-2) unstable; urgency=medium

  * Remove Daniel Pocock from Uploaders
  * Add Dylan Aïssi and Andreas Tille to Uploaders

 -- Andreas Tille <tille@debian.org>  Mon, 06 Jan 2020 12:39:29 +0100

r-cran-tm (0.7-7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Jan 2020 07:05:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: r-cran-tm
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Daniel Pocock <daniel@pocock.pro>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Dylan Aïssi <daissi@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-nlp (>= 0.2-0),
@@ -11,7 +12,7 @@
                r-cran-slam,
                r-cran-xml2,
                r-cran-bh
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tm.git
 Homepage: https://cran.r-project.org/package=tm

## r-cran-tm 0.7-8

=== debian/changelog ===
r-cran-tm (0.7-8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 23 Nov 2020 21:01:57 +0530

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Uploaders: Andreas Tille <tille@debian.org>,
            Dylan Aïssi <daissi@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-nlp (>= 0.2-0),
@@ -12,10 +13,11 @@
                r-cran-slam,
                r-cran-xml2,
                r-cran-bh
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tm.git
 Homepage: https://cran.r-project.org/package=tm
+Rules-Requires-Root: no
 
 Package: r-cran-tm
 Architecture: any

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-snowballc
Restrictions: allow-stderr

Tests: run-unit-test
Depends: @, r-cran-testthat
Restrictions: allow-stderr

## r-cran-tm 0.7-11

=== debian/changelog ===
r-cran-tm (0.7-11-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 09 Feb 2023 11:39:49 +0100

r-cran-tm (0.7-10-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 17:10:45 +0100

r-cran-tm (0.7-9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7-9

 -- Nilesh Patra <nilesh@debian.org>  Fri, 21 Oct 2022 21:08:55 +0530

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-nlp (>= 0.2-0),
+               r-cran-nlp,
                r-cran-rcpp,
                r-cran-slam,
                r-cran-xml2,
                r-cran-bh
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tm.git
 Homepage: https://cran.r-project.org/package=tm

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/tm_([-0-9\.]*)\.tar\.gz

## r-cran-tm 0.7-13

=== debian/changelog ===
r-cran-tm (0.7-13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 13 May 2024 09:27:34 +0900

## r-cran-tm 0.7-14

=== debian/changelog ===
r-cran-tm (0.7-14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 11 Sep 2024 08:23:41 +0900

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-slam,
                r-cran-xml2,
                r-cran-bh
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tm.git
 Homepage: https://cran.r-project.org/package=tm

## r-cran-tm 0.7-15

=== debian/changelog ===
r-cran-tm (0.7-15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 21 Jan 2025 08:33:03 +0900

## r-cran-tm 0.7-16

=== debian/changelog ===
r-cran-tm (0.7-16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 26 Feb 2025 08:42:13 +0900

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-slam,
                r-cran-xml2,
                r-cran-bh
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tm.git
 Homepage: https://cran.r-project.org/package=tm

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-filehash,
        r-cran-pdftools,
        r-cran-snowballc,
        r-cran-testthat
Restrictions: allow-stderr

## r-cran-tm 0.7-17

=== debian/changelog ===
r-cran-tm (0.7-17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 12 Feb 2026 10:17:32 +0900

## r-cran-tm 0.7-18

=== debian/changelog ===
r-cran-tm (0.7-18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Sat, 21 Feb 2026 18:29:18 +0900

=== debian/control ===
Source: r-cran-tm
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Dylan Aïssi <daissi@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-nlp,
 r-cran-rcpp,
 r-cran-slam,
 r-cran-xml2,
 r-cran-bh,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tm
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tm.git
Homepage: https://cran.r-project.org/package=tm
Rules-Requires-Root: no

Package: r-cran-tm
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Text Mining functionality for R
 A framework for text mining applications within R.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-filehash,
 r-cran-pdftools,
 r-cran-snowballc,
 r-cran-testthat,
